import torch
import torch.nn as nn

class Model(nn.Module):
    def __init__(self):
        super(Model, self).__init__()

    def forward(self, x):
        return torch.hypot(torch.sin(x), torch.cos(x))

batch_size = 1024
dim = 1024

def get_inputs():
    x = torch.randn(batch_size, dim) * 2 * 3.14159
    return [x]

def get_init_inputs():
    return []